<script setup lang="ts">
import Button from '@/components/Button.vue';
</script>

<script lang="ts">
export default {
  methods: {
    clickHandler: () => {
      alert(`Clicked from AboutView`);
    }
  }
}
</script>

<template>
  <section class="about">
    <h1>This is an about page</h1>
    <Button value="Click me" color="white" @btn-click="clickHandler" />
    <Button value="Click" color="yellow" @btn-click="clickHandler" />
  </section>
</template>

<style>
@media (min-width: 1024px) {
  section.about {
    min-height: 100vh;
    display: flex;
    align-items: center;
    gap: 20px;
    align-content: center;
  }
}
</style>
